attach(S3_Recruit_1997.2008_R_ready)
str(S3_Recruit_1997.2008_R_ready)

library(lme4)
library(MuMIn)

fm1<-lmer(logB_std~S0vs1248+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm2<-lmer(logB_std~S01vs248+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm3<-lmer(logB_std~S012vs48+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm4<-lmer(logB_std~S0124vs8+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm5<-lmer(logB_std~(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
modelselB <- model.sel(fm1,  fm2,  fm3,  fm4, fm5)
modelselB

fm1<-lmer(logM_std~S0vs1248+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm2<-lmer(logM_std~S01vs248+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm3<-lmer(logM_std~S012vs48+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm4<-lmer(logM_std~S0124vs8+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm5<-lmer(logM_std~(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
modelselM <- model.sel(fm1,  fm2,  fm3,  fm4, fm5)
modelselM

fm1<-lmer(logF_std~S0vs1248+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm2<-lmer(logF_std~S01vs248+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm3<-lmer(logF_std~S012vs48+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm4<-lmer(logF_std~S0124vs8+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm5<-lmer(logF_std~(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fm6<-lmer(logF_std~Exp+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
modelselF <- model.sel(fm1,  fm2,  fm3,  fm4, fm5, fm6)
modelselF

