attach(S6_Recruit_2011.2012_R_ready)
str(S6_Recruit_2011.2012_R_ready)

library(lme4)
library(MuMIn)

fmB1<-lmer(logB_std~(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmB2<-lmer(logB_std~Size+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmB3<-lmer(logB_std~Scraped+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmB4<-lmer(logB_std~avelogB_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmB5<-lmer(logB_std~Size+Scraped+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmB6<-lmer(logB_std~Size+avelogB_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmB7<-lmer(logB_std~Scraped+avelogB_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmB8<-lmer(logB_std~Size+Scraped+avelogB_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
selectB<-model.sel(fmB1, fmB2, fmB3, fmB4, fmB5, fmB6, fmB7, fmB8)
selectB

fmM1<-lmer(logM_std~(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmM2<-lmer(logM_std~Size+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmM3<-lmer(logM_std~Scraped+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmM4<-lmer(logM_std~avelogM_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmM5<-lmer(logM_std~Size+Scraped+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmM6<-lmer(logM_std~Size+avelogM_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmM7<-lmer(logM_std~Scraped+avelogM_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmM8<-lmer(logM_std~Size+Scraped+avelogM_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
selectM<-model.sel(fmM1, fmM2, fmM3, fmM4, fmM5, fmM6, fmM7, fmM8)
selectM

fmF1<-lmer(logF_std~(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmF2<-lmer(logF_std~Size+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmF3<-lmer(logF_std~Scraped+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmF4<-lmer(logF_std~avelogF_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmF5<-lmer(logF_std~Size+Scraped+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmF6<-lmer(logF_std~Size+avelogF_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
fmF7<-lmer(logF_std~Scraped+avelogF_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Year:Site))
fmF8<-lmer(logF_std~Size+Scraped+avelogF_std+(1|Bay)+(1|Site)+(1|Year)+(1|Bay:Year)+(1|Bay:Size)+(1|Year:Size)+(1|Year:Bay:Size)+(1|Year:Site)+(1|Site:Size))
selectF<-model.sel(fmF1, fmF2, fmF3, fmF4, fmF5, fmF6, fmF7, fmF8)
selectF